#ifndef SNAKE_H
#define SNAKE_H

#define LEFT_BUTTON      PD0
#define DOWN_BUTTON      PD3
#define RIGHT_BUTTON     PD2
#define UP_BUTTON        PD1

// Snake maximum size.
#define NMAX              90

#define DEAD              1
#define ALIVE             0   

enum directions { LEFT, DOWN, RIGHT, UP };

const byte oriz[] = { -2, 0, 2,  0 };
const byte vert[] = {  0, 2, 0, -2 };

// Coordinates of a 2D point.
struct coord {
	byte x, y;
};

typedef struct coord coord_t;

int check_food_pos();
void generate_food();
void checkButton(int *);
void initSnake();
int checkSnake();
void clearSnake();
void showSnake();
void moveSnake(int);
int checkDirection(int, int);

void snake_main();

#endif
